#include <iostream>
#include <fstream>
#include <regex>

using namespace std;

// remove trailing spaces
string trim(const string& s)
{
    std::regex trimRegex("^\\s+|\\s+$");
    return std::regex_replace(s, trimRegex, "");
}

string readString(ifstream& f)
{
    char cs[1024];
    string s;
    if(f.getline(cs,1000)) s=cs;
    else s = "";

    return trim(s);
}

int main (int argc, char** argv) {
    if (argc < 4) return 0;
    ifstream inS(argv[1]), solS(argv[2]), contS(argv[3]);
    // input; correct output; contestant's output

    // correct output lines:

    string c1 = readString(solS);
    if (c1.empty()) {
        cerr << "missing line 1 from correct output\n";
        cout << 0.0 << endl ;
        return 0;
    }
    string c2 = readString(solS);
    if (c2.empty()) {
        cerr << "missing line 2 from correct output\n";
        cout << 0.0 << endl ;
        return 0;
    }
    string c3 = readString(solS);
    if (c3.empty()) {
        cerr << "missing line 3 from correct output\n";
        cout << 0.0 << endl ;
        return 0;
    }
    string c4 = readString(solS);
    if (c4.empty()) {
        cerr << "missing line 4 from correct output\n";
        cout << 0.0 << endl ;
        return 0;
    }

    // contestant's output lines:

    string s1 = readString(contS);
    string s2 = readString(contS);
    string s3 = readString(contS);
	string s4 = readString(contS);

	inS.close();
	solS.close();
	contS.close();

    double r=0.0;
    if (c1 == s1)
    {
        r += 0.3;
        cerr << "line 1 correct\n";
    }
    else cerr << "line 1 not correct\n";


    if (c2 == s2)
    {
        r += 0.3;
        cerr << "line 2 correct\n";
    }
    else cerr << "line 2 not correct\n";

    if (c3 == s3)
    {
        r += 0.3;
        cerr << "line 3 correct\n";
    }
    else cerr << "line 3 not correct\n";

	if (c4 == s4)
    {
        r += 0.1;
        cerr << "line 4 correct\n";
    }
    else cerr << "line 4 not correct\n";

    cout << r << endl;

    return 0;
}
