#include <bits/stdc++.h>
using namespace std;

string readLine() {
    string s;
    assert(getline(cin, s));
    return s;
}

void assertEOF() {
    string s;
    assert(!getline(cin, s));
}

void assertNumber(string s) {
    assert(s[0] == '+' || s[0] == '-' || isdigit(s[0]));
    for (int i = 1; i < s.size(); i++) assert(isdigit(s[i]));
    if (!isdigit(s[0])) s.erase(0);
    assert(s.size() != 0);
    assert(s.size() == 1 || s[0] != '0');
}

vector<string> readTokens(char delim) {
    string s = readLine();
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) tokens.push_back("");
        else tokens.back().push_back(c);
    }
    return tokens;
}

vector<long long> longlongTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<long long> b;
    for (string& s: a) {
        b.push_back(stoll(s));
    }
    return b;
}

vector<string> stringTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<string> b;
    for (string& s: a) {
        b.push_back(s);
    }
    return b;
}

int main() {
    vector<long long> line = longlongTokens(' ');
    assertEOF();

    assert(line.size() == 2);
    long long a = line[0];
    long long b = line[1];
    assert(1 <= a && a <= 5e6);
    assert(1 <= b && b <= 5e6);
    assert(a <= b);
    assert(0 <= b-a && b-a <= 500);

    int ans1 = 0;
    int ans2 = 0;
    int ans3 = 0;
    int ans4 = 0;
    for (int i = a; i <= b; i++) {
        if (i%2 == 0 || i%3 == 0) ans1++;

        int n = i;
        int cnt1 = 0;
        int cnt2 = 0;
        for (int j = 2; j <= n; j++) {
            if (n%j == 0) cnt1++;
            while (n%j == 0) {
                cnt2++;
                n/=j;
            }
        }
        if (cnt2 == 1) ans2++;
        if (cnt1 == 2 && cnt2 == 2) ans3++;
        if (cnt2 == 3 || cnt2 ==4) ans4++;
    }

    cout << ans1 << endl;
    cout << ans2 << endl;
    cout << ans3 << endl;
    cout << ans4 << endl;


    return 0;
}
